<?xml version="1.0"?>
<metadata
  xmlns="http://www.citrix.com/AppReceiver"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.citrix.com/AppReceiver MetaData.xsd" version="1.1"
>

  <!-- This 'product' ID is not related to MSI product code. -->
  <!-- Product code is the same as Online bundled installer - they are mutually exclusive. -->
  <plugin
    product="A9852000-047D-11DD-95FF-0800200C9A66"
    productName="Online Plug-in"
  >

    <platforms>XP XP64 Vista Vista64 2K3 2K364 WS08 WS08R2 WS08_64 Win7 Win764 Win8 Win864 Win8Server</platforms>
    <version>14.1.100.12</version>

    <READMElocation>http://support.citrix.com/proddocs/topic/receiver-30-windows/ica-about-30-wrapper.html</READMElocation>
    <EULAlocation>http://www.citrix.com/Client_EULA</EULAlocation>
    <installerFilename>CitrixReceiver.exe</installerFilename>

    <installerDetailExitMessagePath>SOFTWARE\Citrix\Install\OnlinePluginInstallError</installerDetailExitMessagePath>

    <!-- Is this plugin a fully fledged, product level 'plugin'? -->
    <fullPlugin>true</fullPlugin>

    <!-- Prevent clutter in the Receiver: only show UI to control advanced menu display if this flag is set. -->
    <pluginSupportsAdvancedMenuOptions>true</pluginSupportsAdvancedMenuOptions>

    <autoInstall reboot="false">
      <command>$INSTALLERFILENAME $SILENTSWITCH $PARAMETERS</command>
      <commandParameters>ADDLOCAL=ReceiverInside,ReceiverUpdater,ICA_Client,PN_Agent,Flash,USB,DesktopViewer,Vd3d,AM,SELFSERVICE ENABLE_SSON=Yes ALLOWSAVEPWD="$AllowSavePwd" ALLOWADDSTORE="$AllowAddStore" USINGMS="True" NOAUTORUN="y" STARTMENUDIR="$StartMenuDir" LEGACYFTAICONS="$LegacyFtaIcons" ARLOGERROR="y" WSCRECONNECTLOGIN="$WSCReconnectLogin" WSCRECONNECTREFRESHLAUNCH="$WSCReconnectRefreshLaunch" /IncludeSSON="$InstallSSON" WSCALLOWUSERSETTINGSCHANGE="$WSCAllowSettingsChanges"</commandParameters>
      <silentSwitch>/silent</silentSwitch>
      <startAfterInstall>true</startAfterInstall>
      <autoStart>
        <startupMenu>Receiver.lnk</startupMenu>
        <startupMenu lang="ja">Receiver.lnk</startupMenu>
        <startupMenu lang="es">Receiver.lnk</startupMenu>
        <startupMenu lang="de">Receiver.lnk</startupMenu>
        <startupMenu lang="fr">Receiver.lnk</startupMenu>
        <startupMenu lang="zh-cn">联机插件.lnk</startupMenu>
        <startupMenu lang="zh-tw">線上外掛程式.lnk</startupMenu>
        <startupMenu lang="ko">온라인 플러그인.lnk</startupMenu>
        <startupMenu lang="ru">Сетевой модуль.lnk</startupMenu>
        <startupMenu>Citrix Receiver.lnk</startupMenu>
      </autoStart>
      <autoStart>
        <startupRunKey>ConnectionCenter</startupRunKey>
      </autoStart>
    </autoInstall>

    <autoUninstall reboot="false">
      <command></command>
      <silentSwitch>/silent</silentSwitch>
    </autoUninstall>

    <autoUpgrade reboot="false" canUpgradeWhilePluginRunning="false" >
      <command>$INSTALLERFILENAME $SILENTSWITCH $PARAMETERS</command>
      <commandParameters>ENABLE_SSON=Yes ALLOWSAVEPWD="$AllowSavePwd" ALLOWADDSTORE="$AllowAddStore" USINGMS="True" NOAUTORUN="y" STARTMENUDIR="$StartMenuDir" LEGACYFTAICONS="$LegacyFtaIcons" ARLOGERROR="y" WSCRECONNECTLOGIN="$WSCReconnectLogin" WSCRECONNECTREFRESHLAUNCH="$WSCReconnectRefreshLaunch" /IncludeSSON="$InstallSSON" WSCALLOWUSERSETTINGSCHANGE="$WSCAllowSettingsChanges"</commandParameters>
      <silentSwitch>/silent</silentSwitch>
      <startAfterInstall>true</startAfterInstall>
      <autoStart>
        <startupMenu>Receiver.lnk</startupMenu>
        <startupMenu lang="ja">Receiver.lnk</startupMenu>
        <startupMenu lang="es">Receiver.lnk</startupMenu>
        <startupMenu lang="de">Receiver.lnk</startupMenu>
        <startupMenu lang="fr">Receiver.lnk</startupMenu>
        <startupMenu lang="zh-cn">联机插件.lnk</startupMenu>
        <startupMenu lang="zh-tw">線上外掛程式.lnk</startupMenu>
        <startupMenu lang="ko">온라인 플러그인.lnk</startupMenu>
        <startupMenu lang="ru">Сетевой модуль.lnk</startupMenu>
        <startupMenu>Citrix Receiver.lnk</startupMenu>
      </autoStart>
      <autoStart>
        <startupRunKey>ConnectionCenter</startupRunKey>
      </autoStart>
      <lessSilentSwitch></lessSilentSwitch>
    </autoUpgrade>

    <!-- Prefer installing with admin privs, if possible. -->
    <adminOptions>prefer</adminOptions>

    <pluginDescriptions>
      <descriptions language="en" >
        <description>Citrix Receiver (Consumer) includes the Self Service plug-in and enables access to hosted applications and desktop, and SingleSignOn.</description>
        <shortdescription>Receiver (Consumer) (inc. Self Service plug-in) for accessing hosted applications, and SSON.</shortdescription>
      </descriptions>
    </pluginDescriptions>

    <!-- Admin console GUI generating information. -->

    <configuration>

      <value name="verifyICAFileSignatures">
        <bool initialValue="false">
          <prompt lang="en">Security: Enable ICA file signature verification</prompt>
        </bool>
      </value>

      <value name="promptUser">
        <bool initialValue="false">
          <prompt lang="en">Security: Prompt user for questionable certificates</prompt>
        </bool>
      </value>

      <value name="trustedCertificates">
        <list required="false" enforceType="https" example="e5 d0 ea 68 3f 21 90 77 4e 33 05 3c f6 12 20 f5 a1 ba 6f b7">
          <prompt lang="en">Security: Enter Trusted Certificate Thumbprints</prompt>
        </list>
      </value>

      <!-- This is the config info for the Self Service component. -->

      <value name="StoreConfigs">
        <list required="false" example="Store name;https://storefront.citrix.com/Citrix/Store/discovery;on;Store description">
          <prompt lang="en">Store configuration</prompt>
        </list>
      </value>
      <value name="AllowAddStore">
        <string required="true" example="Never (N), Always (A), Secure connections only (S)">
          <prompt lang="en">Allow users to add stores</prompt>
        </string>
      </value>
      <value name="AllowSavePwd">
        <string required="true" defaultValue="N" example="Never (N), Always (A), Secure connections only (S)">
          <prompt lang="en">Allow users to save passwords for PNA based stores</prompt>
        </string>
      </value>
      <value name="InstallSSON">
        <bool initialValue="false">
          <prompt lang="en">Install SSON</prompt>
        </bool>
      </value>
      <value name="StartMenuDir">
        <string defaultValue="">
          <prompt lang="en">Start menu folder</prompt>
        </string>
      </value>
      <value name="LegacyFtaIcons">
        <bool initialValue="false">
          <prompt lang="en">Use legacy FTA icons</prompt>
        </bool>
      </value>
      <value name="WSCReconnectLogin">
        <bool initialValue="false">
            <prompt lang="en">Reconnect apps on Windows logon</prompt>
        </bool>
      </value>
      <value name="WSCReconnectRefreshLaunch">
        <bool initialValue="true">
            <prompt lang="en">Reconnect apps when users start or refresh apps</prompt>
        </bool>
      </value>
      <value name="WSCAllowSettingsChanges">
        <bool initialValue="true">
            <prompt lang="en">Allow users to change reconnect options</prompt>
        </bool>
      </value>
      <!-- Uncomment to enable migration of app shortcuts when a store is removed. -->
      <!--
      <value name="MigrateStores">
        <string example="Mechanisms to use to match apps. (comma separated list): None, PNAToDS,LooseFarmNameMatch,AnyFarmName,FriendlyName,All">
          <prompt lang="en">Migrate apps from removed stores to new stores</prompt>
        </string>
      </value>
      -->

      <introText>
        <intro lang="en">Enter configuration information to accompany the Self-service Plug-in delivery. Users’ store configurations are updated whenever Citrix Receiver contacts Merchandising Server. Specify the names and URLs of one or more application stores. Optionally, add &quot;off&quot; to disable stores initially.

For more information on ICA File Signing see http://support.citrix.com/proddocs/index.jsp.</intro>
      </introText>

    </configuration>

    <!-- List of supported languages. -->
    <pluginLanguages>en de fr ja es ru zh-cn zh-tw ko</pluginLanguages>

    <!-- Rules used to detect currently installed version of plugin - see AR Client SDK doc for more details. -->
    <detectCurrentVersionRulesList>
      <detectRule>REG:HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\CitrixOnlinePluginPackWeb\DisplayVersion</detectRule>
      <detectRule>REG:HKCU\Software\Microsoft\Windows\CurrentVersion\Uninstall\CitrixOnlinePluginPackWeb\DisplayVersion</detectRule>
      <detectRule>REG:HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\CitrixOnlinePluginFull\DisplayVersion</detectRule>
    </detectCurrentVersionRulesList>

  </plugin>
</metadata>

